Loading...
Searching...
No Matches
jni::StaticMethod< TheTag, R(Args...) > Class Template Reference

`#include <static_method.hpp>`

## Public Types

using | TagType = TheTag
using | MethodType = R (Args...)
using | ReturnType = R

## Public Member Functions

| StaticMethod (JNIEnv &env, const Class< TagType > &clazz, const char *name)
| operator jmethodID & () const

## Member Typedef Documentation

## MethodType

template<class TheTag, class R, class... Args>

using jni::StaticMethod< TheTag, R(Args...) >::MethodType = R (Args...)

## ReturnType

template<class TheTag, class R, class... Args>

using jni::StaticMethod< TheTag, R(Args...) >::ReturnType = R

## TagType

template<class TheTag, class R, class... Args>

using jni::StaticMethod< TheTag, R(Args...) >::TagType = TheTag

## Constructor & Destructor Documentation

## StaticMethod()

template<class TheTag, class R, class... Args>

jni::StaticMethod< TheTag, R(Args...) >::StaticMethod | ( | JNIEnv & | env,
|  | const Class< TagType > & | clazz,
|  | const char * | name )

inline

## Member Function Documentation

## operator jmethodID &()

template<class TheTag, class R, class... Args>

jni::StaticMethod< TheTag, R(Args...) >::operator jmethodID & | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/static_method.hpp